Object Storage
Get lifecycle rules
get
/object-storage/buckets/{bucket_uuid}/lifecycleSee the bucket's lifecycle rules (which objects expire and when), whether they are applied yet, and the rule CubePath applies to every bucket (incomplete multipart uploads are aborted after 7 days).
Authorization
Authorization
Authorization*string
Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.
Path parameters
bucket_uuid*string
Responses
Successful Response
application/json
bucket_uuid*string
status*string
Value in
"none""pending""active""paused""error"rules*array<ObjectStorageLifecycleRuleOut>
Properties (6)
id*string
enabled*boolean
filter*ObjectStorageLifecycleFilterOut
Properties (4)
prefix?string | null
tags?array<ObjectStorageLifecycleTagOut> | null
Properties (2)
key*string
value*string
object_size_greater_than?integer | null
object_size_less_than?integer | null
expiration?ObjectStorageLifecycleExpirationOut | null
Properties (3)
days?integer | null
date?string | null
expired_object_delete_marker?boolean | null
noncurrent_version_expiration?ObjectStorageLifecycleNoncurrentOut | null
Properties (2)
noncurrent_days*integer
newer_noncurrent_versions?integer | null
abort_incomplete_multipart_upload?ObjectStorageLifecycleAbortOut | null
Properties (1)
days_after_initiation*integer
platform_rules*array<ObjectStorageLifecyclePlatformRule>
Properties (3)
id*string
description*string
abort_incomplete_multipart_upload*ObjectStorageLifecycleAbortOut
Properties (1)
days_after_initiation*integer
generation*integer
applied_generation*integer
error?string | null
updated_at?string | null
notes*array<string>